# H460< H225 > Class Template Reference

`#include <h4601.h>`

Inheritance diagram for H460< H225 >:

[legend]

## Public Member Functions

PDU Handling
virtual void | OnReceivedPDU (const H225 &)
virtual PBoolean | OnSendingPDU (H225 &) const

### template<class H225>
class H460< H225 >

## Member Function Documentation

template<class H225>

virtual void H460< H225 >::OnReceivedPDU | ( | const H225 & |  | ) | `[inline, virtual]`

Handle a received PDU. Update in the internal state from the received PDU. Returns FALSE is PDU is not sutiable for the class type.

template<class H225>

virtual PBoolean H460< H225 >::OnSendingPDU | ( | H225 & |  | ) | const`[inline, virtual]`

Handle a sent PDU. Set the PDU fields from in the internal state. Returns FALSE is PDU cannot be created.

The documentation for this class was generated from the following file:

- h4601.h